import {
    getTableDicts
} from '@/api/system/dict/data'
import dictConverter from '@/utils/dict/DictConverter'

export default {
    methods: {
        dictTableData(param) {
            
            return getTableDicts(param).then(res => {
                const dataArr = [];
                res.data.map(item => {
                    let a = dictConverter({
                        value: parseInt(item.dictValue),
                        label: item.dictLabel
                    }, item)
                    dataArr.push(a)
                })

                return dataArr;
            })
        }
    },
}